MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026739Open CASCADE[OCCT] OCCT:Configurationpublic2015-10-01 13:172016-04-20 15:49
Reporterafv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026739: Problem with generate Qt samples
DescriptionSince version 7.7.0 OCCT generated using CMake. For generating Qt samples taken environment of OCCT. Obtained environment is not suitable for work with Qt samples.
Steps To Reproduce1 - Generated OCCT using CMake
2 - Up to samples\qt\Tutorial
3 - Try generate sample using genproj.bat
Vcxproj project file not generated.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026765closedbugmaster Open CASCADE Visualization - drop TKVoxel toolkit 

-  Notes
(0046366)
afv (developer)
2015-10-01 13:43

In my opinion there several solutions to this problem. The firs method is to create a new environment that will be used only for Qt samples of OCCT and OCCT Products. The second method is in the process of generating copy file env.bat from CASROOT\adm\templates to sample folder and call it. For both methods create custom.bat and set in it missing variables( bin for 3rd-parties ) for generate sample.
(0046367)
ibs (developer)
2015-10-01 13:45

dear ski,
could you share your thought how to solve this issue?
(0046371)
ski (developer)
2015-10-01 14:46
edited on: 2015-10-01 14:46

1) Cmake should copy QT samples during installation to INSTALL directory (as it is done for mfc samples).
2) Add next lines in each env.bat from QT samples (at the end of env.bat):
  set "QTDIR="
  set "PATH=%QTDIR%/bin;%PATH%"
  set "CSF_OPT_INC=%CASROOT%/inc;%QTDIR%/include;%QTDIR%/include/Qt;%QTDIR%/include/QtGui;%QTDIR%/include/QtCore"
  set "CSF_OPT_LIB%ARCH%=%QTDIR%/lib;%CASROOT%/win%ARCH%/%VCVER%/lib%CASDEB%"

Note that QT should be installed locally on station, and i think that user should set QTDIR variable manually. Or via CMake gui during occt configuration.

Also, instead of step №2, it is possible to change *.pro files in QT samples to use direct paths to occt/qt includes and libs (avoid using of variables CSF_OPT_INC and CSF_OPT_LIB)

(0046419)
git (administrator)
2015-10-02 17:52

Branch CR26739 has been created by ski.

SHA-1: 5ff029f18421ab451ee3a891a1c9032dd5a3d7f2


Detailed log of new commits:

Author: ski
Date: Fri Oct 2 17:42:20 2015 +0300

    0026739: Problem with generate Qt samples
    
    Generation of project files was fixed.
(0046480)
git (administrator)
2015-10-05 16:30

Branch CR26739 has been updated forcibly by ski.

SHA-1: c37c1e26a61340822f2e2791d7bcc8c7bb29882b
(0046481)
git (administrator)
2015-10-05 16:32

Branch CR26739 has been updated forcibly by ski.

SHA-1: a3e5653269eee8227161026d8e411325f17a4eb8
(0046536)
git (administrator)
2015-10-06 18:20

Branch CR26739 has been updated forcibly by ski.

SHA-1: 571c01d322c1ea3469c0bfd1e16b543b365963b3
(0046547)
ski (developer)
2015-10-07 12:18

Dear ibs,

please review.
(0046548)
ski (developer)
2015-10-07 12:24

Note that PRODUCT branch CR26739 was created.
(0046602)
ibs (developer)
2015-10-08 14:58

the patch has been reviewed without any remarks
(0046606)
git (administrator)
2015-10-08 17:33

Branch CR26739 has been updated forcibly by mkv.

SHA-1: a48cc8f246c362c9a1d38d27a62895bbc493b230
(0046635)
git (administrator)
2015-10-09 16:43

Branch CR26739 has been updated forcibly by mkv.

SHA-1: 224f2b678ba182af05c64eea9bfd567695abb7dc
(0046702)
mkv (tester)
2015-10-13 15:06

Dear BugMaster,
Branch CR26739 was rebased on current master of occt git-repository.
SHA-1: 224f2b678ba182af05c64eea9bfd567695abb7dc
Branch CR26739 was rebased on current master of products git-repository.
SHA-1: b543aa16b90ab31c8ae9189467ca9d5c4848bd9c
(0046703)
mkv (tester)
2015-10-13 15:07

Dear BugMaster,
Branch CR26739 from occt git-repository (and CR26739 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 224f2b678ba182af05c64eea9bfd567695abb7dc
SHA-1: b543aa16b90ab31c8ae9189467ca9d5c4848bd9c

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

There are compilation errors in occt Qt samples on windows platform:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR26739-CR26739/job/CR26739-CR26739_build_occt_qt_samples_window/1/parsed_console/ [^]
1>d:\builds\vc10\CR26739-CR26739-occt-64\inc\Font_FTLibrary.hxx(23): fatal error C1083: Cannot open include file: 'ft2build.h': No such file or directory

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92390165 / 92513068 [-0.13%]
Total CPU difference: 19622.219999999845 / 19402.44000000005 [+1.13%]
products component :
Total MEMORY difference: 26285833 / 26331029 [-0.17%]
Total CPU difference: 7802.489999999991 / 7325.130000000003 [+6.52%]

Testing on Windows:
occt component :
Total MEMORY difference: 58090601 / 58100694 [-0.02%]
Total CPU difference: 18645.785523498886 / 18016.196687698903 [+3.49%]
products component :
Total MEMORY difference: 17182590 / 17187400 [-0.03%]
Total CPU difference: 5909.4114806000025 / 5633.211710099969 [+4.90%]

There are no differences in images found by testdiff.
(0046733)
git (administrator)
2015-10-14 12:56

Branch CR26739 has been updated by ski.

SHA-1: 3a91f40fdb57335ce639ea117ba209c6ba6764f4


Detailed log of new commits:

Author: ski
Date: Wed Oct 14 12:51:21 2015 +0300

    Eliminated using of FreeType in VoxelDemo sample

(0046734)
kgv (developer)
2015-10-14 13:08

> Eliminated using of FreeType in VoxelDemo sample
this change will conflict with 0026765
(0046736)
git (administrator)
2015-10-14 14:12

Branch CR26739_1 has been created by ski.

SHA-1: 333c8dcb200173bc5a9fee1d62537b291a9d0e65


Detailed log of new commits:

Author: ski
Date: Tue Oct 6 14:14:36 2015 +0300

    0026739: Problem with generate Qt samples
    
    Generation of project files was fixed.
(0046737)
ski (developer)
2015-10-14 14:16
edited on: 2015-10-14 14:18

Branch CR26739_1 was rebased on branch 0026765 (qt samples VoxelDemo was removed at all).

occt branch CR26739_1 and product branch CR26739 are ready for review and testing

(0046738)
ski (developer)
2015-10-14 14:17

Dear ibs,

please, review.
(0046739)
ibs (developer)
2015-10-14 14:19

dear bugmaster,
the patch has been reviewed without any remark.
(0046747)
mkv (tester)
2015-10-14 17:29

Dear BugMaster,
Branch CR26739_1 from occt git-repository (and CR26739 from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 333c8dcb200173bc5a9fee1d62537b291a9d0e65
SHA-1: 4e20132b2e0d5c8189e28c3c7b0b45ec6bfd8309

Number of compiler warnings:

occt component :
Linux: 13 (13 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)
(0046748)
mkv (tester)
2015-10-14 17:30

Dear BugMaster,
Branch CR26739_1 is TESTED.
(0047120)
git (administrator)
2015-10-16 17:01

Branch CR26739 has been deleted by kgv.

SHA-1: 3a91f40fdb57335ce639ea117ba209c6ba6764f4
(0047121)
git (administrator)
2015-10-16 17:02

Branch CR26739_1 has been deleted by kgv.

SHA-1: 333c8dcb200173bc5a9fee1d62537b291a9d0e65

- Related Changesets
occt: master 980d161f
Timestamp: 2015-10-06 11:14:36
Author: ski
Committer: bugmaster
Details ] Diff ]
0026739: Problem with generate Qt samples

Generation of project files was fixed.
mod - samples/qt/Common/src/View.cxx Diff ] File ]
add - samples/qt/IESample/custom.bat Diff ] File ]
mod - samples/qt/IESample/custom.sh Diff ] File ]
mod - samples/qt/IESample/env.bat Diff ] File ]
mod - samples/qt/IESample/env.sh Diff ] File ]
mod - samples/qt/IESample/genproj.bat Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
mod - samples/qt/IESample/make.sh Diff ] File ]
mod - samples/qt/IESample/run.bat Diff ] File ]
mod - samples/qt/IESample/run.sh Diff ] File ]
add - samples/qt/Tutorial/custom.bat Diff ] File ]
mod - samples/qt/Tutorial/custom.sh Diff ] File ]
mod - samples/qt/Tutorial/env.bat Diff ] File ]
mod - samples/qt/Tutorial/env.sh Diff ] File ]
mod - samples/qt/Tutorial/genproj.bat Diff ] File ]
mod - samples/qt/Tutorial/make.sh Diff ] File ]
mod - samples/qt/Tutorial/run.sh Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-10-01 13:17 afv New Issue
2015-10-01 13:17 afv Assigned To => ibs
2015-10-01 13:43 afv Note Added: 0046366
2015-10-01 13:45 ibs Note Added: 0046367
2015-10-01 13:45 ibs Assigned To ibs => ski
2015-10-01 13:45 ibs Status new => feedback
2015-10-01 14:45 ski Assigned To ski => ibs
2015-10-01 14:46 ski Note Added: 0046371
2015-10-01 14:46 ski Note Edited: 0046371 View Revisions
2015-10-01 16:28 ibs Assigned To ibs => afv
2015-10-01 16:42 ibs Assigned To afv => ski
2015-10-01 16:42 ibs Status feedback => assigned
2015-10-01 17:30 bugmaster Relationship added parent of 0026741
2015-10-02 17:52 git Note Added: 0046419
2015-10-05 16:30 git Note Added: 0046480
2015-10-05 16:32 git Note Added: 0046481
2015-10-06 18:20 git Note Added: 0046536
2015-10-07 12:18 ski Note Added: 0046547
2015-10-07 12:18 ski Assigned To ski => ibs
2015-10-07 12:18 ski Status assigned => resolved
2015-10-07 12:24 ski Note Added: 0046548
2015-10-08 14:58 ibs Note Added: 0046602
2015-10-08 14:58 ibs Assigned To ibs => bugmaster
2015-10-08 14:58 ibs Status resolved => reviewed
2015-10-08 17:33 git Note Added: 0046606
2015-10-08 18:59 mkv Assigned To bugmaster => mkv
2015-10-09 16:43 git Note Added: 0046635
2015-10-13 15:06 mkv Note Added: 0046702
2015-10-13 15:07 mkv Note Added: 0046703
2015-10-13 15:07 mkv Assigned To mkv => ski
2015-10-13 15:07 mkv Status reviewed => assigned
2015-10-13 15:08 mkv Test case number => Not needed
2015-10-14 12:56 git Note Added: 0046733
2015-10-14 13:08 kgv Note Added: 0046734
2015-10-14 14:12 git Note Added: 0046736
2015-10-14 14:16 ski Note Added: 0046737
2015-10-14 14:16 ski Relationship added related to 0026765
2015-10-14 14:17 ski Note Added: 0046738
2015-10-14 14:17 ski Assigned To ski => ibs
2015-10-14 14:17 ski Status assigned => resolved
2015-10-14 14:18 ski Note Edited: 0046737 View Revisions
2015-10-14 14:19 ibs Note Added: 0046739
2015-10-14 14:19 ibs Assigned To ibs => bugmaster
2015-10-14 14:19 ibs Status resolved => reviewed
2015-10-14 15:32 mkv Assigned To bugmaster => mkv
2015-10-14 17:29 mkv Note Added: 0046747
2015-10-14 17:30 mkv Note Added: 0046748
2015-10-14 17:30 mkv Assigned To mkv => bugmaster
2015-10-14 17:30 mkv Status reviewed => tested
2015-10-16 13:18 bugmaster Changeset attached => occt master 980d161f
2015-10-16 13:18 bugmaster Status tested => verified
2015-10-16 13:18 bugmaster Resolution open => fixed
2015-10-16 17:01 git Note Added: 0047120
2015-10-16 17:02 git Note Added: 0047121
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker